<script lang="ts">
import Router, { replace } from "svelte-spa-router";
import routes, { IRouteLoadingDetail } from "./routes";

function routeLoading(event: CustomEvent) {
  const detail = event.detail as IRouteLoadingDetail;

  // If not hash based, redirect to hash based path
  if (!window.location.hash.startsWith("#/")) {
    // Save query string
    const { search } = window.location;

    // Remove any paths and querystrings
    window.history.replaceState(null, "", `${window.location.origin}${window.location.pathname}`);

    // Go to location with querystring
    replace(detail.location + search)
      .catch((e) => {
        // eslint-disable-next-line no-console
        console.error(e);
      });
  }
}
</script>

<ion-app>
  <Router {routes} on:routeLoading={routeLoading}/>

  <ion-tab-bar slot="bottom">
    <ion-tab-button>
      <ion-icon name="calendar"></ion-icon>
      <ion-label>Schedule</ion-label>
      <ion-badge>6</ion-badge>
    </ion-tab-button>

    <ion-tab-button>
      <ion-icon name="person-circle"></ion-icon>
      <ion-label>Speakers</ion-label>
    </ion-tab-button>

    <ion-tab-button>
      <ion-icon name="map"></ion-icon>
      <ion-label>Map</ion-label>
    </ion-tab-button>

    <ion-tab-button>
      <ion-icon name="information-circle"></ion-icon>
      <ion-label>About</ion-label>
    </ion-tab-button>
  </ion-tab-bar>

</ion-app>
